## org.eclipse.datatools.connectivity.oda.design
Interface NameValuePair

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface NameValuePair

extends org.eclipse.emf.ecore.EObject

A pair of name and corresponding value.

The following features are supported:

- `Name`
- `Value`

See Also:
  `DesignPackage.getNameValuePair()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getNameValuePair_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `DesignPackage.getNameValuePair_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`